set timeout="15"
set default="0"
echo 'loading mod...........'
insmod all_video
insmod video_bochs
insmod video_cirrus
insmod font
insmod gfxterm
insmod gfxmenu
insmod gettext
insmod jpeg
insmod png

echo 'loading font...........'
#加载unicode字体显示中文
loopback tmp (tftp)/boot/grub/fonts/unicode.tar
font=(tmp)/unicode.pf2
if loadfont ${font}; then
 set gfxmode=1366x768
 set locale_dir=/boot/grub/locale
 set lang=zh_CN
fi

#设置分辨率
set gfxmode=auto
terminal_output gfxterm
echo '正在加载主界面,请稍候...........'
#设置主题或背景图片
#if search --no-floppy -f /boot/grub/themes/StylishDark/theme.txt; then
	set theme=(tftp)/boot/grub/themes/StylishDark/theme.txt
#else
#	background_image /boot/grub/bg.bmp
#	set color_normal=red/black
#	set color_highlight=magenta/black
#fi


menuentry "启动嵊州人民版Win10Pe32位(http)" --class windows --class os {
insmod progress
          set root=(http)
	echo '正在截入wimboot...'
    linux16 (http)/sources/wimboot gui
	echo '正在截入wim其它文件，请稍候...'
    initrd16 newc:bcd:(http)/sources/bcd \
	newc:bootmgr:(http)/sources/bootmgr \
	newc:boot.sdi:(http)/sources/boot.sdi \
	newc:boot.wim:(http)/sources/win10.wim
}

menuentry "启动系统维护光盘(http)" --class windows --class os {
insmod progress
	echo "正在启动系统维护光盘(自由天空老版)..."
	insmod http
	insmod net
	 set root=(http)
        echo '正在启动系统维护光盘(自由天空老版).......'
        #insmod memdisk
        linux16 (http)/sources/memdisk iso raw
              initrd16 (http)/sources/pxepe.iso
}
menuentry "启动GRUB2文件管理器(http)" --class windows --class os {
	echo "正在启动GRUB2文件管理器..."
insmod progress
	 set root=(http)
        echo '正在启动GRUB2文件管理器.......'
        #insmod memdisk
        linux16 (http)/sources/memdisk iso raw
         initrd16 (http)/sources/grubfm.iso
}
menuentry "启动DG分区工具4.0.1(http)" --class windows --class os {
insmod progress

	echo '正在启动载入MemDisk...'
   
        #insmod memdisk
        linux16 (http)/sources/memdisk floppy
		echo '载入完毕'
        echo '正在截入diskgeniues分区工具4.0.1...'
        initrd16 (http)/sources/dgdos.img
}


menuentry "重启计算机" --class reboot {
	reboot
}
menuentry "关闭计算机" --class shutdown {
	halt
}
